<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Chat extends Model
{
    use HasFactory;

    protected $fillable = [
        'sewa_id',
        'sender_id',
        'receiver_id',
        'admin_id', // tambahkan
        'message',
        'is_read',
    ];
    

    protected $casts = [
        'is_read' => 'boolean',
    ];

    /**
     * Relasi ke model Sewa.
     */
    public function sewa()
    {
        return $this->belongsTo(Sewa::class);
    }

    /**
     * Relasi ke pengirim pesan (User).
     */
    public function sender()
    {
        return $this->belongsTo(User::class, 'sender_id');
    }

    /**
     * Relasi ke penerima pesan (User).
     */
    public function receiver()
    {
        return $this->belongsTo(User::class, 'receiver_id');
    }
}
